1. Appian - Submerchant Register
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Refund a transaction
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Bin Info V2
      • Bin Info
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Transaction Status
      • Delete a cash in transaction
    • Smartlinks
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
      POST
    • Query submerchant status by requestId/submerchantId
      GET
    • Get submerchantIds
      GET
    • Get credentials for submerchants
      POST
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementTicketRequest
    • SubscriptionTransaction
    • Subscription
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • extraTaxes
    • Country
    • ErrorResponse401
    • SettlementRecord
    • Language
    • Deferred
    • ErrorResponse403
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • product
    • SubscriptionAdjustmentRequest
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Appian - Submerchant Register

Get credentials for submerchants

POST
/onboarding/v1/psp/credentials
Allows a PSP (Payment Service Provider) to retrieve the transactional credentials (public and private keys) of one or more submerchants already created in Kushki.
This endpoint is authenticated using the PSP API Key, which is generated through the Appian portal. It is designed for PSPs managing multiple merchants under their ecosystem, enabling secure access to credential data per submerchant.

Important considerations#

You can submit multiple merchantIds in a single request.
For successful responses, the returned publicCredential and privateCredential are the keys used for transactional operations such as charges and subscriptions.
This endpoint only returns credentials for submerchants associated with the authenticated PSP.
If a merchantId is not valid or does not meet the criteria, the API will return the submerchantId and a descriptive message.
The submerchant does not belong to the authenticated PSP: The ID is valid but belongs to a different PSP.
Submerchant not found: The ID does not exist in the system, or the onboarding process is not yet complete.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/onboarding/v1/psp/credentials' \
--header 'X-Api-Key;' \
--header 'Content-Type: application/json' \
--data '{
    "submerchantIds": [
        "20090200103691174000",
        "00000000108451820000",
        "80000000101279730000",
        "10000000103480033000"
    ]
}'
Response Response Example
201 - 201 Created
{
    "pspId": "138",
    "credentials": [
        {
            "submerchantId": "20000000123456789000",
            "publicCredential": "a1b2c3d4e5f64718a9b01234abcd5678",
            "privateCredential": "f1e2d3c4b5a60987cdef1234abcd5678"
        },
        {
            "submerchantId": "20000000987654321000",
            "publicCredential": "1234abcd5678ef9012bc3456de7890fa",
            "privateCredential": "abcd1234ef5612cd7890ab34cdef5678"
        },
        {
            "submerchantId": "99999999123456780000",
            "message": "The submerchant does not belong to the authenticated PSP"
        }
    ]
}
Modified at 2026-08-05 17:00:09
Previous
Get submerchantIds
Next
threeDomainSecure-old
Built with